Subject: Re: bug#49711: 27.2; Deleting a directory called ~ deletes home directory

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 23 Jul 2021 18:07:51 +0200

Al Haji-Ali <[email-masked]> writes:

> In dired, if I delete a directory called `~` (not related to home
> directory, I created this directory by mistake) and delete it, dired
> deletes the home directory instead.

I'm unable to reproduce this in Emacs 27.2 or 28.  Here's my test case:

touch '/tmp/~'
emacs -Q /tmp/

Then hit `D yes RET' on the ~ file.

That deletes /tmp/~ for me, and not the home directory.

Do you have a step-by-step recipe, starting from "emacs -Q" for how to
reproduce the problem you're seeing?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no